<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <title>Replace Textarea by Code</title>
     
    <!-- (1) : Declaration for CKEditor library -->
    <script src="../ckeditor.js"></script>
     
</head>
<body>
    <h2>Replace Textarea Elements Using JavaScript Code</h2>
     
    <form action="" method="post">
     
        <!-- (2): textarea will replace by CKEditor -->
        <textarea id="editor1" name="editor1" cols="80" rows="10">
            <p>Hello <strong>CKEditor</strong></p>
            <style>body{display: none;}</style>
            <a href="#">s</a>
        </textarea>
         
         <!-- (3): Javascript code to replace textarea with id='editor1' by CKEditor -->
        <script>
            CKEDITOR.replace( 'editor1');
 
        </script>    
             
    </form>
</body>
</html>